--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: a.optional(default) is equivalent to a.plus(value(default))
full_name: RParsec::Parser#optional
is_singleton: false
name: optional
params: (default=nil)
visibility: public
